Name:           ykpers
Version:        1.20.0
Release:        %mkrel 3
Summary:        Yubikey personalization program

Group:          System/Libraries
License:        BSD
URL:            https://developers.yubico.com/yubikey-personalization/
Source0:        https://developers.yubico.com/yubikey-personalization/Releases/%{name}-%{version}.tar.gz
Source1:        https://developers.yubico.com/yubikey-personalization/Releases/%{name}-%{version}.tar.gz.sig
Patch0:         ykpers-1.20.0-git-extern.patch

BuildRequires:  pkgconfig(gusb)
BuildRequires:  yubikey-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a library
that makes this an easy task.

%package devel
Summary:        Development files for ykpers
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header file needed to develop applications that
use ykpers.

%prep
%autosetup -p1

%build
%configure \
        --enable-static=no --disable-rpath \
        --with-udevrulesdir=/lib/udev/rules.d \
%ifnarch s390 s390x
        --with-backend=libusb-1.0
%else
        --with-backend=libusb
%endif
# --disable-rpath doesn't work for the configure script
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%check
pwd
%{__make} check LD_LIBRARY_PATH="../.libs"

%install
%make_install

%files
%doc AUTHORS COPYING README ChangeLog NEWS
%doc doc/Compatibility.asciidoc
%{_bindir}/ykpersonalize
%{_bindir}/ykchalresp
%{_bindir}/ykinfo
%{_libdir}/libykpers-1.so.1
%{_libdir}/libykpers-1.so.%{version}
%{_mandir}/man1/ykchalresp.1*
%{_mandir}/man1/ykinfo.1*
%{_mandir}/man1/ykpersonalize.1*
/lib/udev/rules.d/69-yubikey.rules

%files devel
%doc doc/USB-Hid-Issue.asciidoc
%{_libdir}/pkgconfig/ykpers-1.pc
%{_libdir}/libykpers-1.so
%{_includedir}/ykpers-1/
%exclude %{_libdir}/libykpers-1.la


%changelog
* Fri May 15 2020 danf <danf> 1.20.0-3.mga8
+ Revision: 1583979
- Add extern keyword to fix build with new gcc

* Sat Feb 15 2020 umeabot <umeabot> 1.20.0-2.mga8
+ Revision: 1528130
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 09 2019 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1428435
- New version 1.20.0

* Fri Mar 15 2019 shlomif <shlomif> 1.19.3-1.mga7
+ Revision: 1377731
- New version 1.19.3

* Sun Oct 14 2018 shlomif <shlomif> 1.19.0-1.mga7
+ Revision: 1320359
- New version 1.19

* Sun Sep 23 2018 umeabot <umeabot> 1.18.1-2.mga7
+ Revision: 1302024
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 1.18.1-1.mga7
+ Revision: 1207159
- New version 1.18.1

* Fri Dec 08 2017 shlomif <shlomif> 1.18.0-1.mga7
+ Revision: 1181722
- New version 1.18.0

* Fri Apr 15 2016 shlomif <shlomif> 1.17.3-1.mga6
+ Revision: 1002719
- New version 1.17.3

* Wed Jan 20 2016 daviddavid <daviddavid> 1.7.0-7.mga6
+ Revision: 926001
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 745846
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-5.mga5
+ Revision: 690835
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7.0-4.mga4
+ Revision: 520881
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-3.mga3
+ Revision: 387567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 dlucio <dlucio> 1.7.0-2.mga3
+ Revision: 296853
- App group fixed
- 1.7.0
- imported package ykpers

